## 网格布局组件

### [nftn/grid/main.vue]
#### props
| 参数 | 说明 | 类型 | 可选值 | 默认值 |
| --- | --- | --- | --- | --- |
| rows | 矩阵数据指示行列情况 | [[Number(span) / Object, ...], ...] | -- | -- |
| gaps | 栅格间距(也可对应每一行进行设置) | Number / [Number, ...] | -- | 0 |
| configs | 以上所有参数的集合对象 | Object | {rows, gaps} | -- |

#### slots
* grid-' + {row.index} + '-' + {col.index} // 每一行每一列都有一个内容分发可配置

### [nftn/grid/row.vue]
#### props
| 参数 | 说明 | 类型 | 可选值 | 默认值 |
| --- | --- | --- | --- | --- |
| gap | 栅格间距 | Number | * | 0 |

#### slots
* default

### [nftn/grid/col.vue]
#### props
| 参数 | 说明 | 类型 | 可选值 | 默认值 |
| --- | --- | --- | --- | --- |
| span | 栅格占据的列数 | Number | 0 ~ 24 | 24 |
| offset | 栅格左边偏移列数 | Number | 0 ~ 24 | 0 |
| xs | <768px 响应式栅格数 | Number / Object | 0 ~ 24 / {span, offset} | -- |
| sm | ≥768px 响应式栅格数 | Number / Object | 0 ~ 24 / {span, offset} | -- |
| md | ≥992 响应式栅格数 | Number / Object | 0 ~ 24 / {span, offset} | -- |
| lg | ≥1200 响应式栅格数 | Number / Object | 0 ~ 24 / {span, offset} | -- |
| configs | 以上所有参数的集合对象 | Object | {span, offset, xs, sm, md, lg} | -- |

#### slots
* default
